# `ngChange` (directive in module `ng` )

Improve this doc

## Description

Evaluate given expression when user changes the input. The expression is not evaluated when the value change is coming from the model.

Note, this directive requires `ngModel` to be present.

## Usage

This directive can be used as custom element, but we aware of IE restrictions.

as element:

    <ng-change>
    </ng-change>

## Example

#### Source

#### Demo